Subject: [os2genau_digest] No. 1548
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 12 Sep 2007 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 11 September 2007
 Number  1548
**************************************************

Subjects for today
 
1   Clock problems : Alan Duval <amoht at westnet dot com dot au>
2  Re:  Clock problems : Mike O'Connor <mikeoc at internode.on dot net>
3  Re:  Clock problems : Mike O'Connor <mikeoc at internode.on dot net>
4  Re:  Clock problems : Voytek Eymont" <voytek at sbt dot net dot au>
5  Re:  Clock problems : Voytek Eymont" <voytek at sbt dot net dot au>
6  Re:  Clock problems : The Barrows <thebarrows at iinet dot net dot au>
7  Re:  Clock problems : Ken Laurie <ken.laurie at graeleah dot com>
8  Re:  Clock problems : Mike O'Connor <mikeoc at internode.on dot net>
9  Re:  Clock problems : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Tue, 11 Sep 2007 17:56:49 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   Clock problems

Hi,

Over the last couple of weeks the time on my computer has been altering 
by a couple of hours and I have to reset it but then after a day or two 
the same thing happens. I haven't altered anything so why should this 
happen?

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 11 Sep 2007 18:19:59 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Clock problems

Alan Duval wrote:
> Hi,
>
> Over the last couple of weeks the time on my computer has been 
> altering by a couple of hours and I have to reset it but then after a 
> day or two the same thing happens. I haven't altered anything so why 
> should this happen?
>
> Regards,
>
> Alan Duval
Hi Alan,

Haven't a clue - but why not just get settime.zip from hobbes and always 
have correctly synchronized time - and be able to use AEST/AEDT with 
full 4-character mnemonics in your SET TZ string!
you can synch it at whatever daily frequency you want - via a simple 
ASCII initialisation file, and choose whatever time-server you want - I 
just use time-a.nist.gov!

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 11 Sep 2007 18:33:29 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Clock problems

Mike O'Connor wrote:
> Alan Duval wrote:
>> Hi,
>>
>> Over the last couple of weeks the time on my computer has been 
>> altering by a couple of hours and I have to reset it but then after a 
>> day or two the same thing happens. I haven't altered anything so why 
>> should this happen?
>>
>> Regards,
>>
>> Alan Duval
> Hi Alan,
>
> Haven't a clue - but why not just get settime.zip from hobbes and 
> always have correctly synchronized time - and be able to use AEST/AEDT 
> with full 4-character mnemonics in your SET TZ string!
> you can synch it at whatever daily frequency you want - via a simple 
> ASCII initialisation file, and choose whatever time-server you want - 
> I just use time-a.nist.gov!
>
Further to above, if you happen to use the ECSClock, for example to run 
the Scheduler/Task Planner, you can continue to do so, but just disable 
synchronization and adjusting clocks and changing config.sys entries in 
the notebook for worldclk.exe -- just run clkbasic.exe in the config.sys 
and rem out its other entries there also. Worldclk.exe will use the time 
provided by settime.exe.

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Tue, 11 Sep 2007 19:41:40 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Clock problems

<quote who="Alan Duval">

> Over the last couple of weeks the time on my computer has been altering
> by a couple of hours and I have to reset it but then after a day or two the
> same thing happens. I haven't altered anything so why should this happen?

hhhmmmm...

last Wednesday, I was on my old office PC, that PC is now on dial up,
every so often, I dial up to the net,

it so happened, that last Wed. I did dial up

even more curiously, I was curious if my PC clock is accurate, so, I
thought I'd 'time sync it' (1st time in ages)

so I did

much to my amazement, rather than correcting by perhaps few secs...
the clock went forward by about 20 minutes...
from about 16:55 to 17:18...
I tried again, and, it regressed somewhat, still perhaps 10 minutes fast....

in the end, I think ? I hand corrected it...
or maybe I daytimed it... don't recall now

hhhmmmm...

what time source/time client do you use ?

I normally use daytime/daytimed, but, this time I've used os2_ntpd

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   5 ==========================**

Date:  Tue, 11 Sep 2007 19:49:21 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Clock problems

<quote who="Mike O'Connor">

>
> Haven't a clue - but why not just get settime.zip from hobbes and always
> have correctly synchronized time - and be able to use AEST/AEDT with full
> 4-character mnemonics in your SET TZ string!
> you can synch it at whatever daily frequency you want - via a simple ASCII
> initialisation file, and choose whatever time-server you want - I just use
> time-a.nist.gov!

Mike

is that what you use ?

0[roman][E:\]set tz
TZ=EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

btw, fwiw, I run this from startup:

start "TimeClock" /min /c daytime -c 21600 -s -u au.pool.ntp dot org >> clock..log
start "TimeServer" /min /c daytimed -S

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Tue, 11 Sep 2007 19:55:02 +1000
From:  The Barrows <thebarrows at iinet dot net dot au>
Subject:  Re:  Clock problems

Alan,
It could be a symptom of the battery on the motherboard going flat. Some 
/ many new boards have a capacitor now but there are still plenty that 
use a big watch battery.
Regards,
Michael

Mike O'Connor wrote:
> Alan Duval wrote:
>> Hi,
>>
>> Over the last couple of weeks the time on my computer has been 
>> altering by a couple of hours and I have to reset it but then after a 
>> day or two the same thing happens. I haven't altered anything so why 
>> should this happen?
>>
>> Regards,
>>
>> Alan Duval
> Hi Alan,
>
> Haven't a clue - but why not just get settime.zip from hobbes and 
> always have correctly synchronized time - and be able to use AEST/AEDT 
> with full 4-character mnemonics in your SET TZ string!
> you can synch it at whatever daily frequency you want - via a simple 
> ASCII initialisation file, and choose whatever time-server you want - 
> I just use time-a.nist.gov!
>
> Regards,
> Mike
 
>
> 

>
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Tue, 11 Sep 2007 20:23:15 +1000
From:  Ken Laurie <ken.laurie at graeleah dot com>
Subject:  Re:  Clock problems

Voytek

I have the following as my TZ

SET TZ=AEST-10AEDT,10,-1,0,7200,3,-1,0,7200,3600

and I use the ecs clock eClock 2.02 Build 20030719.1 to set my time
against my internal server which now happens to be Linux.

regards
Ken

Voytek Eymont wrote:
> <quote who="Mike O'Connor">
> 
>> Haven't a clue - but why not just get settime.zip from hobbes and always
>> have correctly synchronized time - and be able to use AEST/AEDT with full
>> 4-character mnemonics in your SET TZ string!
>> you can synch it at whatever daily frequency you want - via a simple ASCII
>> initialisation file, and choose whatever time-server you want - I just use
>> time-a.nist.gov!
> 
> 
> Mike
> 
> is that what you use ?
> 
> 0[roman][E:\]set tz
> TZ=EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600
> 
> btw, fwiw, I run this from startup:
> 
> start "TimeClock" /min /c daytime -c 21600 -s -u au.pool.ntp dot org >> clock..log
> start "TimeServer" /min /c daytimed -S
> 
> 
> 
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Tue, 11 Sep 2007 21:46:20 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Clock problems

Voytek Eymont wrote:
 > <quote who="Mike O'Connor">
 >> Haven't a clue - but why not just get settime.zip from hobbes and always
 >> have correctly synchronized time - and be able to use AEST/AEDT with 
full
 >> 4-character mnemonics in your SET TZ string!
 >> you can synch it at whatever daily frequency you want - via a simple 
ASCII
 >> initialisation file, and choose whatever time-server you want - I 
just use
 >> time-a.nist.gov!
 >
 > Mike
 >
 > is that what you use ?
 >
 > 0[roman][E:\]set tz
 > TZ=EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600
 >
 > btw, fwiw, I run this from startup:
 >
 > start "TimeClock" /min /c daytime -c 21600 -s -u au.pool.ntp dot org >> 
clock.log
 > start "TimeServer" /min /c daytimed -S
Hi Voytek,

Yes I use settime.exe exclusively now - I used to use Time868.exe, but 
it won't accept other than 3-character mnemonics - and I don't like 
using the ambiguous EST - that's always (US) EST to me, because a lot of 
software ignores the -10 parameter as soon as it sees EST! Currently 
eComStation unfortunately allocates AST for AEST, but AST is Atlantic 
Standard Time [UTC-0400]!  

[T:\DESKTOP]set tz
TZ=AEST-10

[T:\DESKTOP]

I've attached privately my settings file along with the executable - the 
settings file is self-documented  - it's all ASCII, and I provided quite 
a lot of input to the author at Bulletron, Patrick Gleason aka Isadore 
D. Kaye [the IDK in www.idkcomp dot com/bulletron.html]. I was unable to get 
in contact with the authors of other time-setting programs (NTP), and 
found they are no longer current with reference to the large scale 
changes in the start/stop times of Daylight Savings Time in various 
parts of the world.

My logs show nothing greater than ~+- 1 second on a routine basis, and 
as it's the OS that's doing the clock-keeping whilst powered on , not 
the CMOS-RTC, I get no drift, even on one machine whose CMOS battery 
loses all (non-ESCD) BIOS settings after a relatively short period fully 
powered off.

Regards,
Mike

P.S. I've got to go sleep now!! zzzzzzz! See you later.

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Tue, 11 Sep 2007 22:18:17 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Clock problems

Mike O'Connor wrote:

> Alan Duval wrote:
>
>> Hi,
>>
>> Over the last couple of weeks the time on my computer has been 
>> altering by a couple of hours and I have to reset it but then after a 
>> day or two the same thing happens. I haven't altered anything so why 
>> should this happen?
>>
>> Regards,
>>
>> Alan Duval
>
> Hi Alan,
>
> Haven't a clue - but why not just get settime.zip from hobbes and 
> always have correctly synchronized time - and be able to use AEST/AEDT 
> with full 4-character mnemonics in your SET TZ string!
> you can synch it at whatever daily frequency you want - via a simple 
> ASCII initialisation file, and choose whatever time-server you want - 
> I just use time-a.nist.gov!
>
> Regards,
> Mike

Thanks Mike, Voytek, Ken & The Barrows  for the suggestions. If this 
keeps happening I will follow Mikes suggestion but if that doesn't work 
I will check whether my MB has a battery that needs changing.

Regards,

Alan
----------------------------------------------------------------------------------